#!/bin/bash

#建立cPanel 帳號之陣列
user_array=($(cat /etc/trueuserdomains |awk '{print $2}'))


#巡迴圈並針對每個帳號處理
for account in ${user_array[*]}
do
    # 將針對特定帳號 可 Assignable 的資訊 列出來 (輸出json)
    json_response=$(jetbackup5api -F listAssignableAccounts -D "account=$account" -O json)

    # 將 備份數量 >0 以及 創建時間比較早的 ID 列出來 (通常都是舊主機的 ID)
    current_setting=$(echo "$json_response" | jq -r --arg today "$(date -u +'%Y-%m-%d')" '.data.accounts[] | select(.total_backups != 0 and .active == false and (.created | test($today) | not)) | ._id')
    jetbackup5api -F reassignAccount -D "_id=$current_setting"
done
